VMware recently released bits to provide compatibility between VMware vSphere 5.1 and VMware View 5.1.x in VMware Knowledge Based (KB) article 2035268. There are two ways to extend compatibility between vSphere 5.1 and View 5.1.x. The first method is to deploy VMware's ESXi 5.1 ISO that provides the support. The second method is to apply VMware's patch to an existing vSphere 5.1 deployment. If you are using Dell's customized bits for VMware vSphere 5.1, then you should use the second method.  

For more details on the KB article, the ISO download and the patch download, please visit this article.